Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.runtime
Interface ServerStates

All Known Subinterfaces:
  ServerLifeCycleRuntimeMBean, ServerRuntimeMBean

public interface ServerStates

This interface defines the lifecycle states that a server can be in.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static String` | `ACTIVATE_LATER` Indicates that MaxRestart restart attempts have been made in current RestartInterval, and Node Manager will attempt additional restarts .
`static String` | `ADMIN` The server can receive and process only administrative requests.
`static String` | `FAILED` A critical subsystem is not functioning.
`static String` | `FAILED_NOT_RESTARTABLE` Indicates that the Managed Server has failed or was killed by Node Manager as a result of the Managed Server's AutoKillIfFailed attribute being set to True, but Node Manager cannot restart the Managed Server because its AutoRestart attribute is set to False.
`static String` | `FAILED_RESTARTING` Indicates that Node Manager is currently restarting a failed Managed Server
`static String` | `FORCE_SHUTTING_DOWN` The server is transitioning from `ADMIN` state to `SHUTDOWN` forcefully
`static String` | `FORCE_SUSPENDING` The server is transitioning from `RUNNING` state to `ADMIN` forcefully.
`static String` | `RESUMING` The server is transitioning from the `ADMIN` state to `RUNNING`.
`static String` | `RUNNING` The server can receive and process requests from external clients as well as administrative requests.
`static String` | `SHUTDOWN` The server is configured but inactive.
`static String` | `SHUTDOWN_IN_PROCESS` Deprecated.
`static String` | `SHUTDOWN_PENDING` Deprecated.
`static String` | `SHUTTING_DOWN` The server is transitioning from `ADMIN` state to `SHUTDOWN` gracefully.
`static String` | `STANDBY` Services are initialized but are not claiming shared resources.
`static String` | `STARTING` The server is starting subsystems that do not use shared resources and need to started early for other subsystems to use them .
`static String` | `SUSPENDING` The server is transitioning from `RUNNING` state to `ADMIN` gracefully.
`static String` | `UNKNOWN` The state of the server cannot be determined, perhaps because it cannot be contacted.

Field Detail

### ACTIVATE_LATER

    public static final String ACTIVATE_LATER

  Indicates that MaxRestart restart attempts have been made in current RestartInterval, and Node Manager will attempt additional restarts .

  See Also:
    Constant Field Values

### ADMIN

    public static final String ADMIN

  The server can receive and process only administrative requests. It ignores any requests from external clients. Applications are admin mode. This means that only administrators are allowed access to applications in this state. Non-admin users are denied access to applications.

  See Also:
    Constant Field Values

### FAILED

    public static final String FAILED

  A critical subsystem is not functioning. You must restart the server to recover from this state.

  See Also:
    Constant Field Values

### FAILED_NOT_RESTARTABLE

    public static final String FAILED_NOT_RESTARTABLE

  Indicates that the Managed Server has failed or was killed by Node Manager as a result of the Managed Server's AutoKillIfFailed attribute being set to True, but Node Manager cannot restart the Managed Server because its AutoRestart attribute is set to False.

  See Also:
    Constant Field Values

### FAILED_RESTARTING

    public static final String FAILED_RESTARTING

  Indicates that Node Manager is currently restarting a failed Managed Server

  See Also:
    Constant Field Values

### FORCE_SHUTTING_DOWN

    public static final String FORCE_SHUTTING_DOWN

  The server is transitioning from `ADMIN` state to `SHUTDOWN` forcefully

  See Also:
    Constant Field Values

### FORCE_SUSPENDING

    public static final String FORCE_SUSPENDING

  The server is transitioning from `RUNNING` state to `ADMIN` forcefully.

  See Also:
    Constant Field Values

### RESUMING

    public static final String RESUMING

  The server is transitioning from the `ADMIN` state to `RUNNING`.

  See Also:
    Constant Field Values

### RUNNING

    public static final String RUNNING

  The server can receive and process requests from external clients as well as administrative requests.

  See Also:
    Constant Field Values

### SHUTDOWN

    public static final String SHUTDOWN

  The server is configured but inactive.

  See Also:
    Constant Field Values

### SHUTDOWN_IN_PROCESS

    public static final String SHUTDOWN_IN_PROCESS

  Deprecated.

  The server is waiting for a specified time before starting shutdown. This state is deprecated since 7.0 release.

  See Also:
    Constant Field Values

### SHUTDOWN_PENDING

    public static final String SHUTDOWN_PENDING

  Deprecated.

  The server is waiting for a specified time before starting shutdown. This state is deprecated since 7.0 release.

  See Also:
    Constant Field Values

### SHUTTING_DOWN

    public static final String SHUTTING_DOWN

  The server is transitioning from `ADMIN` state to `SHUTDOWN` gracefully.

  See Also:
    Constant Field Values

### STANDBY

    public static final String STANDBY

  Services are initialized but are not claiming shared resources.

  See Also:
    Constant Field Values

### STARTING

    public static final String STARTING

  The server is starting subsystems that do not use shared resources and need to started early for other subsystems to use them . The server is in `STANDBY` state after this process completes.

  See Also:
    Constant Field Values

### SUSPENDING

    public static final String SUSPENDING

  The server is transitioning from `RUNNING` state to `ADMIN` gracefully.

  See Also:
    Constant Field Values

### UNKNOWN

    public static final String UNKNOWN

  The state of the server cannot be determined, perhaps because it cannot be contacted.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD